## qtpim-opensource-src 5.0~git20201102.f9a8f0fc+dfsg1

=== debian/changelog ===
qtpim-opensource-src (5.0~git20201102.f9a8f0fc+dfsg1-7) unstable; urgency=medium

  * Team upload.
  * Remove Qt_5.x symbols from the symbols files (closes: #1113794).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 03 Sep 2025 12:56:30 +0300

qtpim-opensource-src (5.0~git20201102.f9a8f0fc+dfsg1-6) unstable; urgency=medium

  * debian/patches:
    + Add patches 0034, 0035 and 0036. Various fixes for ICS file
      parsing/import/export.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 02 Dec 2024 12:08:54 +0100

qtpim-opensource-src (5.0~git20201102.f9a8f0fc+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Pino Toscano <pino@debian.org>  Sat, 25 May 2024 15:19:00 +0200

qtpim-opensource-src (5.0~git20201102.f9a8f0fc+dfsg1-4) unstable; urgency=medium

  [ Lionel Duboeuf ]
  * debian/:
    + New bin:pkg qtpim-private-dev. Package private headers. (needed for
      contactcache).

  [ Mike Gabriel ]
  * debian/control:
    + Adjust SYNOPSIS and LONG_DESCRIPTION of new bin:pkg qtpim5-private-dev.
    + Bump Standards-Version to 4.7.0. No changes needed.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 08 May 2024 14:49:35 +0200

qtpim-opensource-src (5.0~git20201102.f9a8f0fc+dfsg1-3) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Apply multi-arch hints:
    + qtpim5-dev, qtpim5-examples: Add Multi-Arch: same.
    + qtpim5-doc, qtpim5-doc-html: Add Multi-Arch: foreign.
  * Remove constraints unnecessary since buster (oldstable):
    - Build-Depends: Drop versioned constraint on qml-module-qtquick2,
      qml-module-qttest, qtbase5-doc-html, qtbase5-private-dev,
      qtdeclarative5-doc-html, qtdeclarative5-private-dev and
      qttools5-dev-tools.

  [ Pino Toscano ]
  * Split override_dh_auto_build:
    - the execution of syncqt.pl in execute_before_dh_auto_build, so it is run
      before dh_auto_build in all the cases
    - turn the existing override_dh_auto_build-indep into
      execute_after_dh_auto_build-indep: this way it is only generated when
      building arch:all binaries too (saves build time otherwise)
  * Add the qdoc-qt5 indep build dependency, since now the documentation
    generation is unconditionally done if arch:all binaries are built.
  * Drop all the architecture filtering in qtpim5-doc-html.install, and
    qtpim5-doc.install: they are arch:all, on documentation is unconditionally
    built for them
    - drop the dh-exec shebang, and drop their execute bits, as they are no more
      needed now
    - drop the dh-exec build dependency, no more needed now
  * Switch from override_dh_auto_install to execute_after_dh_auto_install, to
    avoid explicitly calling the former
    - move all the documentation-related bits into checks for documentation
      packages being built, instead of checks for qdoc
  * Update standards version to 4.6.2, no changes needed.
  * Stop passing --fail-missing to dh_missing, as it is the default in compat
    13+.
  * Mark the xauth, and xvfb build dependencies as nocheck, as they are needed
    only by dh_auto_test.
  * Move the qtbase5-doc-html, and qtdeclarative5-doc-html build dependencies
    as indep build dependency, as they are needed only when building the
    documentation (in arch:all binaries).
  * Use execute_after_dh_auto_clean to avoid invoking dh_auto_clean manually.

  [ Guido Berhoerster ]
  * Remove cmake file belonging skeleton plugin. (Closes: #1012206)

 -- Pino Toscano <pino@debian.org>  Wed, 25 Jan 2023 08:00:55 +0100

qtpim-opensource-src (5.0~git20201102.f9a8f0fc+dfsg1-2) unstable; urgency=medium

  * Upload to unstable.

  * debian/rules:
    + Run unit tests with LC_ALL set to en_US.UTF-8. Required for calls to
      Qstring.localeAwareCompare() in tests/auto/contacts/qcontactsortorder/
      tst_qcontactsortorder.cpp.
  * debian/patches:
    + Drop 2002_disable-cmake-test.patch. Unit tests for CMake do work.
    + Drop 2099_disable_failing_tests.patch. Not required anymore if tests
      are run with en_US.UTF-8.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 07 Jun 2022 16:27:50 +0200

qtpim-opensource-src (5.0~git20201102.f9a8f0fc+dfsg1-1) experimental; urgency=medium

  * Upload to experimental, trigger auto-transition.

  * New upstream Git snapshot (f9a8f0fc914c040d48bbd0ef52d7a68eea175a98).
  * debian/{watch,rules}:
    + Adjust orig tarball retrieval for using kde/5.15 branch over at
      invent.kde.org.
  * debian/:
    + Rename libqt5<pim>5 to libqt5<pim>5a.
  * debian/patches:
    + Cherry-pick all Qt 5.15 compatible patches from upstream and rename
      some patches to match our patch naming scheme:
      Rename revert_module_version.patch -> 2000_revert_module_version.patch
      Rename Avoid-crash-while-parsing-vcards-from-different-threads.patch ->
        1002_Avoid-crash-while-parsing-vcards-from-different-threads.patch
      Rename disable_failing_tests.patch -> 2099_disable_failing_tests.patch
      Rename adapt_to_json_parser_change.patch ->
        1003_adapt_to_json_parser_change.patch
      Rename tests_big_endian.patch ->
        0024-Make-the-tests-pass-on-big-endian-systems.patch
      Add 0010-Use-QRegularExpression-instead-of-the-deprecated-QRe.patch
      Add 0011-Remove-usage-of-deprecated-QLatin1Literal.patch
      Add 0012-Fix-QList-from-QSet-conversions.patch
      Add 0013-Remove-usage-of-deprecated-QtAlgorithms.patch
      Add 0014-Add-missing-include.patch
      Add 0015-Remove-usage-of-deprecated-API-from-the-declarative-.patch
      Add 0016-More-QDateTime-QDate-QDate-startOfDay-fixes.patch
      Add 0017-Adjust-unit-test-to-account-for-QList-index-from-int.patch
      Add 0018-Remove-invalid-method-overload-which-confuses-the-QM.patch
      Add 0019-Specify-enum-flag-type-properly-in-unit-test.patch
      Add 0020-Remove-unused-method-in-unit-test.patch
      Add 0021-Update-qHash-methods-to-return-size_t-instead-of-uin.patch

